path: /build/build/redis-dev-db-7.2.4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-systemd -tcmalloc -test ssl" emerge dev-db/redis -pv -t && \
    USE="-systemd -tcmalloc -test ssl" emerge -j ${JOBS} --nodeps dev-db/redis
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/redis && luet-portage --dir /pkgdir/redis
    dev-db/redis && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:7cdf1064c0e70843875a636345ce125960916746c2698eac770a1bc646facc5c
  package:
    name: redis
    version: 7.2.4
    category: dev-db
    use_flags:
    - -systemd
    - -tcmalloc
    - -test
    - ssl
    requires:
    - name: macaroni-funtoo-race9
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A persistent caching system, key-value and data structures database
    uri:
    - https://redis.io
    license: BSD
    buildtimestamp: 2024-02-07 01:23:23.667292506 +0000 UTC m=+200.745586110
    labels:
      BDEPEND: ssl? ( dev-libs/openssl:0= ) systemd? ( sys-apps/systemd:= ) tcmalloc?
        ( dev-util/google-perftools ) virtual/pkgconfig >=app-portage/elt-patches-20170815
        || ( >=sys-devel/automake-1.16.5:1.16 ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
        virtual/pkgconfig
      DEPEND: ssl? ( dev-libs/openssl:0= ) systemd? ( sys-apps/systemd:= ) tcmalloc?
        ( dev-util/google-perftools ) test? ( dev-lang/tcl:0= ssl? ( dev-tcltk/tls
        ) ) sys-apps/shadow
      IUSE: +jemalloc ssl split-conf systemd tcmalloc test
      RDEPEND: ssl? ( dev-libs/openssl:0= ) systemd? ( sys-apps/systemd:= ) tcmalloc?
        ( dev-util/google-perftools ) virtual/tmpfiles
      emerge.packages: dev-db/redis
      kit: core-server-kit
      original.package.name: dev-db/redis
      original.package.slot: "0"
      original.package.version: 7.2.4
    treedir: /build/packages
  package_dir: /pkgdir/redis
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 4514e28183e1e08ecacc6b5f33375b432be045db6fc364ce9442deffb7e43ea1
compressiontype: zstd
files:
- etc/conf.d/redis
- etc/conf.d/redis-sentinel
- etc/init.d/redis
- etc/init.d/redis-sentinel
- etc/logrotate.d/redis
- etc/redis/redis.conf
- etc/redis/sentinel.conf
- lib/systemd/system/redis.service
- usr/bin/redis-cli
- usr/lib/tmpfiles.d/redis.conf
- usr/sbin/redis-benchmark
- usr/sbin/redis-check-aof
- usr/sbin/redis-check-rdb
- usr/sbin/redis-sentinel
- usr/sbin/redis-server
- usr/share/doc/redis-7.2.4/00-RELEASENOTES.bz2
- usr/share/doc/redis-7.2.4/BUGS
- usr/share/doc/redis-7.2.4/CONTRIBUTING.md.bz2
- usr/share/doc/redis-7.2.4/MANIFESTO.bz2
- usr/share/doc/redis-7.2.4/README.md.bz2
- var/db/pkg/dev-db/redis-7.2.4/BDEPEND
- var/db/pkg/dev-db/redis-7.2.4/BUILD_TIME
- var/db/pkg/dev-db/redis-7.2.4/CATEGORY
- var/db/pkg/dev-db/redis-7.2.4/CBUILD
- var/db/pkg/dev-db/redis-7.2.4/CFLAGS
- var/db/pkg/dev-db/redis-7.2.4/CHOST
- var/db/pkg/dev-db/redis-7.2.4/CONTENTS
- var/db/pkg/dev-db/redis-7.2.4/COUNTER
- var/db/pkg/dev-db/redis-7.2.4/CXXFLAGS
- var/db/pkg/dev-db/redis-7.2.4/DEFINED_PHASES
- var/db/pkg/dev-db/redis-7.2.4/DEPEND
- var/db/pkg/dev-db/redis-7.2.4/DESCRIPTION
- var/db/pkg/dev-db/redis-7.2.4/EAPI
- var/db/pkg/dev-db/redis-7.2.4/FEATURES
- var/db/pkg/dev-db/redis-7.2.4/HOMEPAGE
- var/db/pkg/dev-db/redis-7.2.4/INHERITED
- var/db/pkg/dev-db/redis-7.2.4/IUSE
- var/db/pkg/dev-db/redis-7.2.4/IUSE_EFFECTIVE
- var/db/pkg/dev-db/redis-7.2.4/KEYWORDS
- var/db/pkg/dev-db/redis-7.2.4/LDFLAGS
- var/db/pkg/dev-db/redis-7.2.4/LICENSE
- var/db/pkg/dev-db/redis-7.2.4/NEEDED
- var/db/pkg/dev-db/redis-7.2.4/PF
- var/db/pkg/dev-db/redis-7.2.4/RDEPEND
- var/db/pkg/dev-db/redis-7.2.4/REQUIRES
- var/db/pkg/dev-db/redis-7.2.4/RESTRICT
- var/db/pkg/dev-db/redis-7.2.4/SIZE
- var/db/pkg/dev-db/redis-7.2.4/SLOT
- var/db/pkg/dev-db/redis-7.2.4/USE
- var/db/pkg/dev-db/redis-7.2.4/environment.bz2
- var/db/pkg/dev-db/redis-7.2.4/redis-7.2.4.ebuild
- var/db/pkg/dev-db/redis-7.2.4/repository
- var/lib/redis/.keep_dev-db_redis-0
- var/log/redis/.keep_dev-db_redis-0
package_cacheimage: ""
runtime:
  name: redis
  version: 7.2.4
  category: dev-db
  use_flags:
  - -systemd
  - -tcmalloc
  - -test
  - ssl
  requires:
  - name: openssl
    version: '>=0'
    category: dev-libs
  - name: tmpfiles
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A persistent caching system, key-value and data structures database
  uri:
  - https://redis.io
  license: BSD
  labels:
    BDEPEND: ssl? ( dev-libs/openssl:0= ) systemd? ( sys-apps/systemd:= ) tcmalloc?
      ( dev-util/google-perftools ) virtual/pkgconfig >=app-portage/elt-patches-20170815
      || ( >=sys-devel/automake-1.16.5:1.16 ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
      virtual/pkgconfig
    DEPEND: ssl? ( dev-libs/openssl:0= ) systemd? ( sys-apps/systemd:= ) tcmalloc?
      ( dev-util/google-perftools ) test? ( dev-lang/tcl:0= ssl? ( dev-tcltk/tls )
      ) sys-apps/shadow
    IUSE: +jemalloc ssl split-conf systemd tcmalloc test
    RDEPEND: ssl? ( dev-libs/openssl:0= ) systemd? ( sys-apps/systemd:= ) tcmalloc?
      ( dev-util/google-perftools ) virtual/tmpfiles
    emerge.packages: dev-db/redis
    kit: core-server-kit
    original.package.name: dev-db/redis
    original.package.slot: "0"
    original.package.version: 7.2.4
